Package tigase.conf

# Class LoggingBean

java.lang.Object
tigase.conf.LoggingBean

All Implemented Interfaces:
  `ConfigurationChangedAware`

public class LoggingBean extends Object implements ConfigurationChangedAware
Created by andrzej on 02.04.2017.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggingBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beanConfigurationChanged(Collection<String> changedFields)`
  Method called when configuration was applied to bean.
  `Map<String,Level>`
  `getPackageLoggingLevels()`
  `boolean`
  `getPacketFullDebug()`
  `boolean`
  `isShutdownThreadDump()`
  `void`
  `setHandlers(HashMap<String,HashMap<String,Object>> handlers)`
  `void`
  `setLoggers(HashMap<String,HashMap<String,Object>> loggers)`
  `void`
  `setPackageLoggingLevel(String packageName, Level level)`
  `void`
  `setPacketFullDebug(boolean packetFullDebug)`
  `void`
  `setShutdownThreadDump(boolean shutdownThreadDump)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoggingBean

    public LoggingBean()

- ## Method Details

  - ### getPackageLoggingLevels

    public Map<String,Level> getPackageLoggingLevels()

  - ### setPackageLoggingLevel

    public void setPackageLoggingLevel(String packageName, Level level) throws RuntimeException
    Throws:
      `RuntimeException`

  - ### setLoggers

    public void setLoggers(HashMap<String,HashMap<String,Object>> loggers)

  - ### setHandlers

    public void setHandlers(HashMap<String,HashMap<String,Object>> handlers)

  - ### getPacketFullDebug

    public boolean getPacketFullDebug()

  - ### setPacketFullDebug

    public void setPacketFullDebug(boolean packetFullDebug)

  - ### beanConfigurationChanged

    public void beanConfigurationChanged(Collection<String> changedFields)
    Description copied from interface: `ConfigurationChangedAware`
    Method called when configuration was applied to bean.
    Specified by:
      `beanConfigurationChanged` in interface `ConfigurationChangedAware`
    Parameters:
      `changedFields` - collection of field names which were changed

  - ### isShutdownThreadDump

    public boolean isShutdownThreadDump()

  - ### setShutdownThreadDump

    public void setShutdownThreadDump(boolean shutdownThreadDump)